<h3>Bildüberschrift ändern</h3>

<?php

if (!isset($_POST['Speichern'])) {
    echo "<img src=\"../img/umgebung/bilder/" . $_POST['Titel'] . ".jpg\" /><br />";
    $sql1 = 'SELECT Head FROM bilder WHERE ID = "' . $_POST['Titel'] . '"';
    $result1 = $db->query($sql1);
    $nt1 = $result1->fetch_assoc();
    echo $nt1['Head'];

    ?>

    <form action="index.php?section=fotos&t=bilder" method="post" enctype="multipart/form-data">
        <input type="hidden" name="edit" value="speichern"/>
        <input type="hidden" name="id" value="<?php echo $_POST['Titel']; ?>"/>
        <label>Bildüberschrift</label>
        <input type="text" name="Text" value="<?php echo $nt1['Head']; ?>"/>
        <br/>
        <input type="submit" name="Speichern" value="Speichern"/>
    </form>

    <?php
} else {
    $Text = $_POST['Text'];
    $sql2 = 'UPDATE bilder SET Head = "' . $Text . '" WHERE ID = "' . $_POST['id'] . '";';
    $stmt2 = $db->prepare($sql2);
    if (!$stmt2) {
        die ('Es konnte kein SQL-Query vorbereitet werden: ' . $db->error);
    }
    if (!$stmt2->execute()) {
        die ('Query konnte nicht ausgef�hrt werden: ' . $stmt->error);
    }
    echo "Die Überschrift wurde gespeichert<br />";
    echo '<a href="index.php?section=fotos&t=bilder">Zurück zur Übersicht</a>';
}
?>
